#!/usr/local/bin/ruby
require 'mysql'
require 'cgi'

def e(s) CGI::escapeHTML(s) end

cgi = CGI::new
val = cgi['val'][0]
str = cgi['str'][0]

puts <<EOS
Content-Type: text/html; charset=euc-jp

<html>
<body>
<h1></h1>
<form action="search.cgi">
Val:<input type="text" name="val" value="#{e val || ''}">
Str:<input type="text" name="str" value="#{e str || ''}">
<input type="submit" value="">
</form>
EOS

if val or str then
  my = Mysql::new('host', 'user', 'pass', 'db')
  where = []
  where << "val='#{my.quote val}'" if val != nil and val != ''
  where << "str='#{my.quote str}'" if str != nil and str != ''
  sql = 'SELECT id, val, str FROM tbl'
  sql << ' WHERE ' + where.join(' AND ') if not where.empty?
  sql << ' ORDER BY id'
  res = my.query(sql)
  puts '<table border=1>'
  puts '<tr><th>Id<th>Val<th>Str<th>'
  res.each do |id, val, str|
    puts "<tr><td>#{e id}<td>#{e val}<td>#{e str}<td><a href=\"delete.cgi?id=#{id}\"></a>"
  end
  puts '</table>'
  my.close
end

puts <<EOS
<br>
<a href="insert.cgi">Ͽ</a>
</body>
</html>
EOS
